/*
 *
 * Copyright: 2020 KylinSoft Co., Ltd.
 * Authors:
 *   huanhuan zhang <zhanghuanhuan@kylinos.cn>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef SHORTCUTWIDGET_H
#define SHORTCUTWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QLabel>
#include <QVBoxLayout>
#include <QPaintEvent>
#include <QPushButton>
#include <QFont>
#include "src/tools/capturecontext.h"
class ShortCutWidget : public QWidget
{
    Q_OBJECT

public:
    ShortCutWidget(QWidget *parent = nullptr);
    ~ShortCutWidget();

protected:
    void paintEvent(QPaintEvent *e);

private:
// void initInfoTable();
    void initLabel();
    QList<QLabel *> labels;
    static QVector<const char *> m_keys;
    static QVector<const char *> m_description;
    QLabel *appIcon;
    QLabel *appName;
    QPushButton *minLabel;
    QPushButton *exitLabel;
    QLabel *tableName;
    QIcon *windowIcon;
    QLabel *windowTitle;
    QFont font;
    CaptureContext context;
};
#endif // WIDGET_H
